restinio::connection_count_limit_types< Traits > Struct Template Reference

A kind of metafunction that deduces actual types related to connection count limiter in the dependecy of Traits. More...

`#include <connection_count_limiter.hpp>`

## Public Types

using | limiter_t = typename std::conditional< Traits::use_connection_count_limiter, connection_count_limits::connection_count_limiter_t< typename Traits::strand_t >, connection_count_limits::noop_connection_count_limiter_t >::type
using | lifetime_monitor_t = connection_count_limits::connection_lifetime_monitor_t< limiter_t >

## Detailed Description

template<typename Traits>
struct restinio::connection_count_limit_types< Traits >

A kind of metafunction that deduces actual types related to connection count limiter in the dependecy of Traits.

Deduces the following types:

- limiter_t. The actual type of connection count limiter to be used in the RESTinio's server;
- lifetime_monitor_t. The actual type of connection_lifetime_monitor to be used with connection objects.

Template Parameters

  Traits | The type with traits for RESTinio's server.

Since
  v.0.6.12

Definition at line 458 of file connection_count_limiter.hpp.

## Member Typedef Documentation

## lifetime_monitor_t

template<typename Traits >

using restinio::connection_count_limit_types< Traits >::lifetime_monitor_t = connection_count_limits::connection_lifetime_monitor_t< limiter_t >

Definition at line 468 of file connection_count_limiter.hpp.

## limiter_t

template<typename Traits >

using restinio::connection_count_limit_types< Traits >::limiter_t = typename std::conditional < Traits::use_connection_count_limiter, connection_count_limits::connection_count_limiter_t< typename Traits::strand_t >, connection_count_limits::noop_connection_count_limiter_t >::type

Definition at line 460 of file connection_count_limiter.hpp.

The documentation for this struct was generated from the following file:

- restinio/connection_count_limiter.hpp